function h = plot_results(U)
% just some visualization function...

n = sqrt(length(U)); % Anzahl Knoten in jede Richtung
if floor(n) ~= n
    error('Anzahl Knoten ist nicht quadratisch!')
end

% step sizes
h = 1/(n-1);
% plot the function
x = 0:h:1;
y = 0:h:1;
zval = reshape(U,length(x),length(y));
[xval,yval] = meshgrid(x,y); 
surf(xval,yval,zval);
% keep Z axis
set(gca,'ZLim',[0 1]);
% coloring of the function
shading interp
colormap(hsv);
view(18,40);